GXml.DomRange – GXml-0.20 Reference Manual

# DomRange

## Object Hierarchy:

## Description:

public interface DomRange : Object
All known implementing classes:

- Range

Namespace: GXml
Package: GXml-0.20

## Content:

### Enums:

- BoundaryPoints

### Properties:

- public abstract bool collapsed { get; }
- public abstract DomNode common_ancestor_container { get; }
- public abstract DomNode end_container { get; }
- public abstract int end_offset { get; }
- public abstract DomNode start_container { get; }
- public abstract int start_offset { get; }

### Methods:

- public abstract DomDocumentFragment? clone_contents () throws Error
- public abstract DomRange clone_range ()
- public abstract void collapse (bool to_start = false) throws Error
- public abstract int compare_boundary_points (BoundaryPoints how, DomRange sourceRange) throws Error
- public abstract short compare_point (DomNode node, int offset)
- public abstract void delete_contents () throws Error
- public abstract void detach ()
- public abstract DomDocumentFragment? extract_contents () throws Error
- public abstract void insert_node (DomNode node)
- public abstract bool intersects_node (DomNode node)
- public abstract bool is_point_in_range (DomNode node, int offset)
- public abstract void select_node (DomNode node) throws Error
- public abstract void select_node_contents (DomNode node) throws Error
- public abstract void set_end (DomNode node, int offset) throws Error
- public abstract void set_end_after (DomNode node) throws Error
- public abstract void set_end_before (DomNode node) throws Error
- public abstract void set_start (DomNode node, int offset) throws Error
- public abstract void set_start_after (DomNode node) throws Error
- public abstract void set_start_before (DomNode node) throws Error
- public abstract void surround_contents (DomNode newParent)
- public abstract string to_string ()

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref